<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2007.02.20
// web:    http://www.mrgtech.ca
// info:   Solar Imperium chat
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2007.02.20 : ybo : Initial release
//
//---------------------------------------------------------------------------//


require_once("include/init.php");

// do basic cleanup //
$expiration = time(NULL) - CONF_SESSION_TIMEOUT;
$rs = $DB->Execute("SELECT * FROM tb_sessions WHERE timestamp < $expiration");
while(!$rs->EOF)
{
	$DB->Execute("INSERT INTO tb_chatlog (timestamp,message) VALUES(".time(NULL).",'<b style=\"color:yellow\">".$rs->fields["nickname"]." has left the chatroom.</b>')");
	$DB->Execute("DELETE FROM tb_sessions WHERE id=".$rs->fields["id"]);
	$rs->MoveNext();
}

// handle ajax queries //

if (isset($_GET["AJAX"])) {

	if (!isset($_SESSION["nickname"])) die("session_failed");
	
	// verify if its in the database.
	$rs = $DB->Execute("SELECT * FROM tb_sessions WHERE nickname='".addslashes($_SESSION["nickname"])."'");
	if ($rs->EOF) die("session_failed");
		
	$DB->Execute("UPDATE tb_sessions SET timestamp=".time(NULL)." WHERE nickname='".addslashes($_SESSION["nickname"])."'");
	
	if (isset($_GET["action"]) && ($_GET["action"]=="list_messages")) {
		$output = "<table>\r\n";
		
		$count = $DB->Execute("SELECT COUNT(*) FROM tb_chatlog");
		$count = $count->fields[0];
		
		$offset_start = $count-26;
		if ($offset_start < 0) $offset_start = 0;
		
		$rs = $DB->Execute("SELECT * FROM tb_chatlog LIMIT $offset_start,$count");
		while(!$rs->EOF) {
			$output .= "<tr><td>".stripslashes($rs->fields["message"])."</td></tr>\r\n";
			$rs->MoveNext();
		}
		
		
		$output .="</table>\r\n";
		die($output);
	}
	
	
	
	if (isset($_GET["action"]) && ($_GET["action"]=="send_message")) {
		
		$msg = "";
		if (isset($_GET["msg"])) $msg = $_GET["msg"];
		if ($msg == "") die("empty_message");
		$msg = substr($msg,0,255);
		
		$msg = str_replace("&","&amp;",$msg);
		$msg = str_replace("<","&lt;",$msg);
		$msg = str_replace(">","&gt;",$msg);
		$output = "[".date("H:i:s")."] <b>&lt;".$_SESSION["nickname"]."&gt;</b> ".$msg;
		$query = "INSERT INTO tb_chatlog (timestamp,message) VALUES(".time(NULL).",'".addslashes($output)."')";
		$DB->Execute($query);
		die("message_sent");
	}
	
	
	if (isset($_GET["action"]) && ($_GET["action"]=="list_sessions")) {

		$output = "<table width=\"100%\">Online Users:\r\n";
		
		$rs = $DB->Execute("SELECT * FROM tb_sessions ORDER BY nickname ASC");
		while(!$rs->EOF) {
			$output .= "<tr><td style=\"color:yellow\" align=\"right\">".$rs->fields["nickname"]."</td></tr>\r\n";
			$rs->MoveNext();
		}
		
		$rs = $DB->Execute("SELECT * FROM tb_irc_users ORDER BY nickname ASC");
		while(!$rs->EOF) {
			$output .= "<tr><td style=\"color:orange\" align=\"right\">IRC::".$rs->fields["nickname"]."</td></tr>\r\n";
			$rs->MoveNext();
		}
		
		
		$output .="</table>\r\n";
		die($output);
	}
	
	die("Error.");
}

// display html //

$TPL = new phemplate("include/template/");
$TPL->set_file("page","chat.html");

print $TPL->process("","page",2);
	

?>