<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2007.02.20
// web:    http://www.mrgtech.ca
// info:   Solar Imperium chat
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2007.02.20 : ybo : Initial release
//
//---------------------------------------------------------------------------//


require_once("include/init.php");

// do basic cleanup //
$expiration = time(NULL) - CONF_SESSION_TIMEOUT;
$rs = $DB->Execute("SELECT * FROM tb_sessions WHERE timestamp < $expiration");
while(!$rs->EOF)
{
	$DB->Execute("INSERT INTO tb_chatlog (timestamp,message) VALUES(".time(NULL).",'<b style=\"color:yellow\">".$rs->fields["nickname"]." has left the chatroom.</b>')");
	$DB->Execute("DELETE FROM tb_sessions WHERE id=".$rs->fields["id"]);
	$rs->MoveNext();
}

// handle ajax queries //

if (isset($_GET["AJAX"])) {

	$nickname = "";
	if (isset($_GET["nickname"])) $nickname = $_GET["nickname"];	
	$nickname = substr($nickname,0,15);
	
	$valid_keyspace = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_[]-!@#$%^&*()";
	$tmp_nickname = "";
	
	for ($i=0;$i<strlen($nickname);$i++) {
		if (!(strpos($valid_keyspace, $nickname[$i])===false))
			$tmp_nickname .= $nickname[$i];
	}
	
	$nickname = $tmp_nickname;
	
	if ($nickname == "") die("Invalid nickname entered!");
	$rs = $DB->Execute("SELECT * FROM tb_sessions WHERE nickname='".addslashes($nickname)."'");
	if (!$rs->EOF) {
		die("Nickname already in use!");
	}
	
	
	$hostname = $_SERVER["REMOTE_ADDR"];
	
//	$rs = $DB->Execute("SELECT * FROM tb_sessions WHERE hostname='".addslashes($hostname)."'");
//	if (!$rs->EOF) die("You already have someone connected using your hostname.");

	$_SESSION["nickname"] = $nickname;
	$DB->Execute("INSERT INTO tb_sessions (nickname,hostname,timestamp) VALUES('".addslashes($nickname)."','".addslashes($hostname)."',".time(NULL).");");
	
		$DB->Execute("INSERT INTO tb_chatlog (timestamp,message) VALUES(".time(NULL).",'<b style=\"color:yellow\">$nickname has joined the chatroom.</b>')");

	die("continue_login");
}

// display html //

$TPL = new phemplate("include/template/");
$TPL->set_file("page","login.html");

print $TPL->process("","page",2);
	

?>