
function get_xmlhttp() 
{
	//Check if we are using IE.
	try {
		//If the javascript version is greater than 5.
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	//If not, then use the older active x object.
		try {
		//If we are using IE.
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			//Else we must be using a non-IE browser.
			xmlhttp = false;
		}
	}
	//If we are using a non-IE browser, create a JavaScript instance of the object.
	if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	
	return xmlhttp;
}

//////////////////////////////////////////////////////////////

function ajax_request_login() {
	
	var obj = document.getElementById('warning_message');
	var xmlhttp = get_xmlhttp();
	
	xmlhttp.open('GET', 'login.php?AJAX&nickname='+document.loginfrm.username.value);

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
		
			if (xmlhttp.responseText == 'continue_login')
				window.location='chat.php'; 
			else {
				obj.style.visibility = 'visible';
				document.loginfrm.username.value = '';
				document.loginfrm.username.focus();
				obj.innerHTML = xmlhttp.responseText;
			}
		}
	}
	
    xmlhttp.send(null);
}

//////////////////////////////////////////////////////////////

function ajax_request_list_sessions() {
	
	var xmlhttp = get_xmlhttp();
	var obj = document.getElementById('td_right');
	
	xmlhttp.open('GET', 'chat.php?AJAX&action=list_sessions');

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
		
			if (xmlhttp.responseText == 'session_failed')
				window.location='login.php'; 
			else {
				obj.innerHTML = xmlhttp.responseText;
			}
		}
	}
	
    xmlhttp.send(null);
}

//////////////////////////////////////////////////////////////


function ajax_request_list_messages() {
	
	var xmlhttp = get_xmlhttp();
	var obj = document.getElementById('td_left');
	
	xmlhttp.open('GET', 'chat.php?AJAX&action=list_messages');

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
		
			if (xmlhttp.responseText == 'session_failed')
				window.location='login.php'; 
			else {
				obj.innerHTML = xmlhttp.responseText;
			}
		}
	}
	
    xmlhttp.send(null);
}

//////////////////////////////////////////////////////////////

function ajax_request_send_message() {
	
	var xmlhttp = get_xmlhttp();

	xmlhttp.open('GET', 'chat.php?AJAX&action=send_message&msg='+document.chatfrm.textfield.value);

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
		
			if (xmlhttp.responseText == 'session_failed')
				window.location='login.php'; 
			else {
				document.chatfrm.textfield.value = '';
				document.chatfrm.textfield.focus();
				ajax_request_list_messages();
				
			}
		}
	}
	
    xmlhttp.send(null);
}
