<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.09.01 : ybo : Major code changes, OOP
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//
require_once("include/init.php");
require_once("include/init_ingame.php");

ob_clean();
header("Content-type: image/jpeg");

$img = imagecreatetruecolor(712,32);

$color_fontcolor = imagecolorallocate($img,255,255,255);
$color_background = imagecolorallocate($img,30,90,120);
$color_foreground = imagecolorallocate($img,100,199,250);
$color_lines = imagecolorallocate($img,199,199,199);


$current = $GAME["empire"]->data["research_level"];
$max = 9;

imagefilledrectangle($img,0,0,712,32,$color_background);
imagefilledrectangle($img,1,1,(80*$current),30,$color_foreground);
for ($i=0;$i<10;$i++) imageline($img,$i*80,0,$i*80,32,$color_lines);
imagestring($img,3,280,9,LANG_FUNDAMENTAL_RESEARCH,$color_fontcolor);
imagejpeg($img,"",$GAME["empire"]->data["jpeg_quality"]);

?>