<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.09.01 : ybo : Major code changes, OOP
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//

class NewsCreator
{
	var $DB;
	var $title;
	var $text;
	var $image;

	

	//////////////////////////////////////////////////////////////////////////////
	//
	//////////////////////////////////////////////////////////////////////////////
	function NewsCreator($DB)
	{
		$this->DB = $DB;

	}



	//////////////////////////////////////////////////////////////////////////////
	//
	//////////////////////////////////////////////////////////////////////////////
	function send()
	{
		
		global $NEWS_DATA;
		
		$query = "INSERT INTO tb_news (title,text,image,date) ".
		"VALUES('".$this->title."','".$this->text."','".$this->image."',".time(NULL).")";	
		if (!$this->DB->Execute($query)) trigger_error($this->DB->ErrorMsg());
			
		srand(time(NULL));
		$i = rand(0,10);
		
		if ($i == 5) {
			// inject random news
			$news_data = $NEWS_DATA["random_news"];
			$news_data = $news_data[rand(0,count($news_data)-1)];

			$firstnames = array("Hassan","Arthur","Bud","Hyman","Rocky","Isaac","Toby","Leon","Clemente","Hank","Gino","Hubert","Matt","Tony","Millard","Adrienne","Arline","Jodie","Lorene","Yvette","Terrie","Darlene","Marjorie","Dorothy","Gabrielle","Letitia","Trillian","Travis","Yanhik","Jacob","Matthias","Rupert","Peter","Helene");
			$news_data["text"] = str_replace("%random_firstname%",$firstnames[rand(0,count($firstnames)-1)],$news_data["text"]);

			$secondnames = array("Walls","Barnes","Burt","Fischer","Greer","Robles","Mccoy","Bishop","Hyde","Hays","Mcdaniel","Trevino","Merritt","Wolf","Talley","Rivers","Knight","Newman","Carrillo","Weaver","Cortez","Schultz","Rojas","Deveau");
			$news_data["text"] = str_replace("%random_secondname%",$secondnames[rand(0,count($secondnames)-1)],$news_data["text"]);

			$planets = array("Dlik Septimus","Kenu-Yayi","Pa'Tussie III","U'Eobei","Keruwau Iota","Auveo-Wojy Epsilon","Audyi VII","Axo'Rhuhey","Rhixo-Ojgou","Isaj 9","Okee-Ayxe","Nhap-Nkaocw XI","Eyo'Ueheiw Xi","Ico Secundus","Z'Eqirm Quintus","Acemea 11","Uyah Undecimus","Xox-Did 1","Xuz-La Nonus","Wu-Wop V","Ounky Octavus","Mena-Pop III","Yox-Hruo 4","Jewa-Yok Prime","Ugoabbj XI","Arirukoi","Crupp Tau","Caesuoll VII","Ogo'Ourua");
			$news_data["text"] = str_replace("%random_planet%",$planets[rand(0,count($planets)-1)],$news_data["text"]);

			$titles = array("Emperor","President","King","DemiGod","Chief","Lord","Commander-in-chief","Baron","General");
			$news_data["text"] = str_replace("%random_title%",$titles[rand(0,count($titles)-1)],$news_data["text"]);

			$romans = array("I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII");
			$news_data["text"] = str_replace("%random_roman%",$romans[rand(0,count($romans)-1)],$news_data["text"]);

			$query = "INSERT INTO tb_news (title,text,image,date) ".
			"VALUES('".$news_data["title"]."','".$news_data["text"]."','".$news_data["image"]."',".time(NULL).")";	
			if (!$this->DB->Execute($query)) trigger_error($this->DB->ErrorMsg());
			
		}
		
	}
}


?>