<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2007.02.04 : ybo : Reviewed the code for public release
//
// TODO:
//
// Add 3 remaining advisors
//
//---------------------------------------------------------------------------//

require_once("include/init.php");
require_once("include/init_ingame.php");



$GAME["template"]->setPage("advisors.html");

////////////////////////////////////////////////////////////////
// Agricultural advisor
////////////////////////////////////////////////////////////////
$advisor = new AgriculturalAdvisor($GAME["empire"]);
$reply = $advisor->getAdvise();

$GAME["template"]->setVar("advisor_agricultural",$reply["comment"]);

////////////////////////////////////////////////////////////////
// Economic
////////////////////////////////////////////////////////////////
$comment = LANG_NOTHING_TO_SAY;

$GAME["template"]->setVar("advisor_economic",$comment);


////////////////////////////////////////////////////////////////
// Military
////////////////////////////////////////////////////////////////
$comment = LANG_NOTHING_TO_SAY;

$advisor = new MilitaryAdvisor($GAME["empire"]);
$reply = $advisor->getAdvise();
$GAME["template"]->setVar("advisor_military",$reply["comment"]);

////////////////////////////////////////////////////////////////
// population
////////////////////////////////////////////////////////////////
$comment = LANG_NOTHING_TO_SAY;


$advisor = new PopulationAdvisor($GAME["empire"]);
$reply = $advisor->getAdvise();
$GAME["template"]->setVar("advisor_population",$reply["comment"]);

////////////////////////////////////////////////////////////////
// pollution
////////////////////////////////////////////////////////////////
$comment = LANG_NOTHING_TO_SAY;

$GAME["template"]->setVar("advisor_pollution",$comment);


print $GAME["template"]->render();

?> 
