<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2007.02.20
// web:    http://www.mrgtech.ca
// info:   Solar Imperium chat
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2007.02.20 : ybo : Initial release
//
//---------------------------------------------------------------------------//

require_once("thirdparty/adodb/adodb.inc.php");
require_once("thirdparty/phemplate.class.php");
require_once("thirdparty/error_handler.php");

require_once("config.php");


// basic PHP initialization

function phpnum() {
$version = explode('.', phpversion());
return (int) $version[0];
}
function is_php5() { return phpnum() == 5; }
function is_php4() { return phpnum() == 4; }

if (is_php5()) {
	 date_default_timezone_set(CONF_TIMEZONE); 
}

ob_start();	// output buffering
set_time_limit(30); // maximum of 30 seconds for execution

// if 'register_globals' directive is active, halt the process
if (ini_get("register_globals")==1)
{
	die("Disable register_globals PHP Directive!");
}

// Initialize database
$DB = NewADOConnection(CONF_DATABASE_DRIVER);
if (!$DB->PConnect(CONF_DATABASE_HOSTNAME,CONF_DATABASE_USERNAME,CONF_DATABASE_PASSWORD,CONF_DATABASE_NAME)) trigger_error($DB->ErrorMsg());

session_start();

?>