<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.06.19 : ybo : Added a new.gif icon on new threads since last day
// 2007.02.04 : ybo : Reviewed the code for public release
//---------------------------------------------------------------------------//

require_once("include/init.php");
require_once("include/init_ingame.php");


///////////////////////////////////////////////////////////////////////////////
// Handle requests
///////////////////////////////////////////////////////////////////////////////
if (isset($_POST["forum_newtopic"]))
{
	
	$subject = $_POST["subject"];
	$content = $_POST["content"];
	
	if ($subject == "") { 
		$GAME["system"]->redirect("forum.php",array("WARNING"=>LANG_EMPTY_MESSAGE_SUBJECT));
	}
	
	if ($content == "") { 
		$GAME["system"]->redirect("forum.php",array("WARNING"=>LANG_EMPTY_MESSAGE_CONTENT));
	}
	
		
		
	$query = "INSERT INTO tb_forum (empire,empire_static,date_creation,date_update,title,content) VALUES(".$_SESSION["empire_id"].",'".$GAME["empire"]->data["emperor"]."@".$GAME["empire"]->data["name"]."',".time(NULL).",".time(NULL).",'".addslashes($subject)."','".addslashes($content)."');";
	$DB->Execute($query);
			
		$GAME["system"]->redirect("forum.php",array("NOTICE"=>LANG_NEW_FORUM_TOPIC_POSTED));
	

}

//////////////////////////////////////////////////////////////////////////////////
// Display Page
//////////////////////////////////////////////////////////////////////////////////
$GAME["template"]->setPage("forum.html");

if (!isset($_SESSION["forum_page"])) $_SESSION["forum_page"] = 0;
if (isset($_GET["forum_page"])) $_SESSION["forum_page"] = $_GET["forum_page"];

$total_posts = $DB->Execute("SELECT COUNT(*) FROM tb_forum WHERE parent=-1");
$total_posts = $total_posts->fields[0];

$query = "SELECT * FROM tb_forum WHERE parent=-1 AND coalition=-1 ORDER BY date_update DESC";
$rs = $DB->Execute($query);

$forum_items = array();
$count = 0;

while(!$rs->EOF)
{
		$item = array();
		$item["bgcolor"] =  ($count % 2 == 0?"#667777":"#778888");
		$item["fgcolor"] =  ($count % 2 == 0?"#000000":"#333333");
		$item["background"] = ($count++ % 2 == 0?"images/forum/background1.jpg":"images/forum/background2.jpg");
		
		$item["title"] = stripslashes($rs->fields["title"]);
		$item["views"] = $rs->fields["views"];
		
		$rs2 = $DB->Execute("SELECT COUNT(*) FROM tb_forum WHERE parent=".$rs->fields["id"]);
		$item["replies"] = $rs2->fields[0];
		
		$rs2 = $DB->Execute("SELECT * FROM tb_forum WHERE parent=".$rs->fields["id"]." ORDER BY date_creation DESC LIMIT 1");
	    if (!$rs2->EOF) {
	    
           $rs3 = $DB->Execute("SELECT * FROM tb_empire WHERE id=".$rs2->fields["empire"]);
           if ($rs3->EOF) {
           	// if dead
    		$dead_emperor = $rs2->fields["empire_static"];
			if ($dead_emperor == "") $dead_emperor = "Unknown@Unknown";
				$dead_emperor = explode("@",$dead_emperor);
				$dead_emperor = $dead_emperor[0];
	           	$item["lastreply"] = "<a style=\"color:".$item["fgcolor"]."\" href=\"#\">RIP:".$dead_emperor."</a>";
	       } else {
           		$item["lastreply"] = "<a style=\"color:".$item["fgcolor"]."\" href=\"#\">".$rs3->fields["emperor"]."</a>";
		    
           }
	        $item["date"] = $GAME["template"]->formatTime(time(NULL)-$rs2->fields["date_update"]);
	    
	    } else {
	    	$item["lastreply"] = "---";
	
	    }
	
		$rs2 = $DB->Execute("SELECT * FROM tb_empire WHERE id=".$rs->fields["empire"]);
		if ($rs2->EOF)
		{
			// if dead
			$dead_emperor = $rs->fields["empire_static"];
			if ($dead_emperor == "") $dead_emperor = "Unknown@Unknown";
			$dead_emperor = explode("@",$dead_emperor);
			$dead_emperor = $dead_emperor[0];
			$item["author"] = "<a style=\"color:".$item["fgcolor"]."\" href=\"#\">RIP:".$dead_emperor."</a>";
		}
		else
			$item["author"] = "<a style=\"color:".$item["fgcolor"]."\" href=\"javascript:show_info(".$rs2->fields["id"].")\">".$rs2->fields["emperor"]."</a>";
					
		$item["date"] = $GAME["template"]->formatTime(time(NULL) - $rs->fields["date_update"]);
		$item["url"] = "forum_viewtopic.php?topic=".$rs->fields["id"];	
		
		
				if ((time(NULL) - $rs->fields["date_update"]) < (60*60*12)) $item["title"] = "<img border=\"0\" src=\"images/new.gif\">".$item["title"];
	        $forum_items[] = $item;
		
		$rs->MoveNext();
}


$tmp = $forum_items;
$forum_items = array();
$offset = ($_SESSION["forum_page"]*CONF_FORUM_POSTS_PER_PAGE);
$count = 0;
while (list($key,$value) = each($tmp))
{
	if (($count >= $offset) && ($count < ($offset+CONF_FORUM_POSTS_PER_PAGE)))
	{
		$forum_items[$key] = $value;
	}
	
	$count++;
}
unset($tmp);


$GAME["template"]->setLoop("items",$forum_items);

$forum_pages = "";
for ($i=0;$i<($total_posts/CONF_FORUM_POSTS_PER_PAGE);$i++)
{
	if ($i == $_SESSION["forum_page"]) 
		$forum_pages .= "<b style=\"font-size:13px;font-family:verdana\">".($i+1)."</b>&nbsp;";
		else
		$forum_pages .= "<a style=\"font-size:13px;font-family:verdana\" href=\"?forum_page=$i\"><b>".($i+1)."</b></a>&nbsp;";
}

$GAME["template"]->setVar("pages",$forum_pages);

print $GAME["template"]->render();

?>
