<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2007.02.04 : ybo : Reviewed the code for public release
// 2007.03.01 : ybo : Added multi-pages forum
//
//---------------------------------------------------------------------------//
require_once("include/init.php");
require_once("include/init_ingame.php");

// (please do not remove credit)
// author: Louai Munajim
// website: http://elouai.com
// date: 2004/Apr/18

function bbcode2html($text)
{
  $bbcode = array("<", ">",
                "[list]", "[*]", "[/list]", 
                "[img]", "[/img]", 
                "[b]", "[/b]", 
                "[u]", "[/u]", 
                "[i]", "[/i]",
                '[color="', "[/color]",
                "[size=\"", "[/size]",
                '[url="', "[/url]",
                "[mail=\"", "[/mail]",
                "[code]", "[/code]",
                "[quote]", "[/quote]",
                '"]');
  $htmlcode = array("&lt;", "&gt;",
                "<ul>", "<li>", "</ul>", 
                "<img src=\"", "\">", 
                "<b>", "</b>", 
                "<u>", "</u>", 
                "<i>", "</i>",
                "<span style=\"color:", "</span>",
                "<span style=\"font-size:", "</span>",
                '<a href="', "</a>",
                "<a href=\"mailto:", "</a>",
                "<code>", "</code>",
                "<table width=100% cellpadding=\"5\" cellspacing=\"0\" bgcolor=lightgray style=\"color:#333333;border:1px dashed #333333\"><tr><td bgcolor=\"#eeeeee\">", "</td></tr></table>",
                '">');
  $newtext = str_replace($bbcode, $htmlcode, $text);
  $newtext = nl2br($newtext);//second pass
  $newtext = str_replace("javascript:","",$newtext);
  $newtext = str_replace("onmouseover=","",$newtext);
  $newtext = str_replace("onmouseleave=","",$newtext);
  $newtext = str_replace("onclick=","",$newtext);
  $newtext = str_replace("onload=","",$newtext);
  return $newtext;
}

if (!isset($_GET["topic"])) {
		$GAME["system"]->redirect("forum.php");
}

$topic_id = $_GET["topic"];
$rs = $DB->Execute("SELECT * FROM tb_forum WHERE id=$topic_id AND coalition=-1 AND parent=-1");
if ($rs->EOF) {
	$GAME["system"]->redirect("forum.php");
}

$topicdata = $rs->fields;

//////////////////////////////////////////////////////////////////////////////////////
// Handle requests
//////////////////////////////////////////////////////////////////////////////////////

if (isset($_POST["forum_newreply"]))
{
	
	$content = $_POST["content"];
	
	if ($content == "") { 
			
		$GAME["system"]->redirect("forum_viewtopic.php",array("topic"=>$_GET["topic"],"WARNING"=>LANG_EMPTY_MESSAGE_CONTENT));
		
	} 
		
		
	$query = "INSERT INTO tb_forum (empire,empire_static,date_creation,title,content,parent) VALUES(".$_SESSION["empire_id"].",'".$GAME["empire"]->data["emperor"]."@".$GAME["empire"]->data["name"]."',".time(NULL).",'Forum Reply','".addslashes($content)."',".$topic_id.");";
	$DB->Execute($query);
	
	$query = "UPDATE tb_forum SET date_update=".time(NULL)." WHERE id=".$topic_id;
	$DB->Execute($query);

	$GAME["system"]->redirect("forum_viewtopic.php",array("topic"=>$_GET["topic"],"NOTICE"=>LANG_NEW_FORUM_REPLY_POSTED));
	

}


//////////////////////////////////////////////////////////////////////////////////////
// Display page
//////////////////////////////////////////////////////////////////////////////////////
$page = 0;
if (isset($_GET["page"])) $page = intval($_GET["page"]);

$GAME["template"]->setpage("forum_viewtopic.html");

$GAME["template"]->setVar("topic_date",$GAME["template"]->formatTime(time(NULL)-$topicdata["date_creation"]));
$GAME["template"]->setVar("topic_title",stripslashes($topicdata["title"]));
$GAME["template"]->setVar("topic_content",str_replace("\n","<br/>",stripslashes($topicdata["content"])));
$GAME["template"]->setVar("topic_id",$topicdata["id"]);

$DB->Execute("UPDATE tb_forum SET views=".($topicdata["views"]+1)." WHERE id=".$topicdata["id"]);

if ($page == 0) {
$rs = $DB->Execute("SELECT * FROM tb_empire WHERE id=".$topicdata["empire"]);
if ($rs->EOF)
{
	// dead empire
	// dead 
	$empire_static  = $rs->fields["empire_static"];
	if ($empire_static == "") $empire_static = "Unknown@Unknown";
	$empire_static = explode("@",$empire_static);
	$GAME["template"]->setVar("topic_author_id",-1);
	$GAME["template"]->setVar("topic_author_emperor",stripslashes($empire_static[0]));
	$GAME["template"]->setVar("topic_author_empire",stripslashes($empire_static[1]));
	
	$image_avatar = "images/avatars/dead.jpg";
	$GAME["template"]->setVar("topic_author_image",$image_avatar);
	$GAME["template"]->setVar("topic_author_logos","");
	
}
else {
	$GAME["template"]->setVar("topic_author_id",$rs->fields["id"]);
	$GAME["template"]->setVar("topic_author_emperor",stripslashes($rs->fields["emperor"]));
	$GAME["template"]->setVar("topic_author_empire",stripslashes($rs->fields["name"]));
	$image_avatar = "images/avatars/".$rs->fields["id"].".jpg";
	if (!file_exists($image_avatar)) $image_avatar = "images/avatars/anonymous.jpg";
	$GAME["template"]->setVar("topic_author_image",$image_avatar);
			
	$logos = "<img src=\"images/empires/".$rs->fields["id"].".jpg\" border=\"1\" bordercolor=\"yellow\" style=\"border-color:yellow\">";

	$rs3 = $DB->Execute("SELECT * FROM tb_member WHERE empire=".$rs->fields["id"]);
	if (!$rs3->EOF)
	{
			$rs = $DB->Execute("SELECT logo FROM tb_coalition WHERE id=".$rs3->fields["coalition"]);
			$coalition_logo = $rs->fields[0];
			$logos .= "&nbsp;<img src=\"img_logo.php?data=".$coalition_logo."\" border=\"1\" bordercolor=\"yellow\" style=\"border-color:yellow\">";
	}

	$GAME["template"]->setVar("topic_author_logos",$logos);
	
}
$GAME["template"]->setVar("topic_views",$topicdata["views"]);

$GAME["template"]->setVar("block_topic_post",$GAME["template"]->TPL->process("","topic_post",2));

} else {
$GAME["template"]->setVar("block_topic_post","");
}


/* fetch thread replies */

$query = "SELECT COUNT(*) FROM tb_forum WHERE parent=$topic_id AND coalition=-1 ORDER BY date_creation ASC";
$rs = $DB->Execute($query);
$maxpages = $rs->fields[0] / 5;
if ($maxpages < 1) $maxpages = 1;

$pages_str = "";

for ($i=0;$i<$maxpages;$i++) {

if ($page == $i) 
	$pages_str .= "<b>".($i+1)."</b>&nbsp;";
else
	$pages_str .= "<a href=\"forum_viewtopic.php?page=$i&topic=$topic_id\">".($i+1)."</a>&nbsp;";

}


$GAME["template"]->setVar("pages",$pages_str);

$query = "SELECT * FROM tb_forum WHERE parent=$topic_id AND coalition=-1 ORDER BY date_creation ASC LIMIT ".($page*5).",5";
$rs = $DB->Execute($query);

$forum_replies = array();
$count = 0;

while(!$rs->EOF)
{
		$item = array();
		$item["title"] = stripslashes($rs->fields["title"]);
		$item["content"] = str_replace("\n","<br/>",bbcode2html(stripslashes($rs->fields["content"])));
		$item["views"] = $rs->fields["views"];
		$item["bgcolor"] =  ($count % 2 == 0?"#667777":"#778888");
		$item["fgcolor"] =  ($count % 2 == 0?"#000000":"#333333");
		$item["background"] = ($count++ % 2 == 0?"images/background2.jpg":"images/background3.jpg");
		
		$rs2 = $DB->Execute("SELECT * FROM tb_empire WHERE id=".$rs->fields["empire"]);
		if ($rs2->EOF) {
			// dead 
			$empire_static  = $rs->fields["empire_static"];
			if ($empire_static == "") $empire_static = "Unknown@Unknown";
			$empire_static = explode("@",$empire_static);
			$item["author_id"] = -1;
			$item["author_emperor"] =stripslashes($empire_static[0]);
			$item["author_empire"] = stripslashes($empire_static[1]);
			$item["author_logos"] = "";
			$item["author_image"] = "images/avatars/dead.jpg";
		} else {
			
		
			$item["author_id"] = $rs2->fields["id"];
			$item["author_emperor"] =stripslashes($rs2->fields["emperor"]);
			$item["author_empire"] = stripslashes($rs2->fields["name"]);
			
			$item["author_image"] = "images/avatars/".$rs2->fields["id"].".jpg";
			if (!file_exists($item["author_image"])) $item["author_image"] = "images/avatars/anonymous.jpg";
		
		
			$logos = "<img src=\"images/empires/".$rs2->fields["id"].".jpg\" border=\"1\" bordercolor=\"yellow\" style=\"border-color:yellow\">";
			$rs3 = $DB->Execute("SELECT * FROM tb_member WHERE empire=".$rs2->fields["id"]);
			if (!$rs3->EOF)
			{
		
				$query = "SELECT logo FROM tb_coalition WHERE id=".$rs3->fields["coalition"];
				$rs3 = $DB->Execute($query);
		
				$coalition_logo = $rs3->fields[0];
				$logos .= "&nbsp;<img src=\"img_logo.php?data=".$coalition_logo."\" border=\"1\" bordercolor=\"yellow\" style=\"border-color:yellow\">";
			}
	
			$item["author_logos"] = $logos;
		}
		
		
		$item["author_date"] = $GAME["template"]->formatTime(time(NULL)-$rs->fields["date_creation"]);
		
		
		
		$forum_replies[] = $item;

				
		
		$rs->MoveNext();
}
$GAME["template"]->setLoop("replies",$forum_replies);


print $GAME["template"]->render();

?>
