<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//
require_once("include/init.php");

ob_start();
header("Content-type: image/jpeg");


if (isset($_GET["empire"]))
{
	$rs = $DB->Execute("SELECT logo FROM tb_empire WHERE id=".addslashes($_GET["empire"]));
	if ($rs->EOF) {
		$gd = imagecreatetruecolor(32,32);
		imagejpeg($gd,"",90);
		imagedestroy($gd);
	}

	$_GET["data"] = $rs->fields[0];
		
}

if (!isset($_GET["data"])) die();

$data = $_GET["data"];

$gd = imagecreatetruecolor(32,32);
if (strlen($data) != 256) die("Invalid data");

$PALETTE = array();

for ($i=0;$i<count($TPL_LOGO_COLORS);$i++)
{
	$PALETTE[] = imagecolorallocate($gd,$TPL_LOGO_COLORS[$i][1],$TPL_LOGO_COLORS[$i][2],$TPL_LOGO_COLORS[$i][3]);
}


for ($y=0;$y<16;$y++)
for ($x=0;$x<16;$x++)
{
	imagesetpixel($gd,$x*2,$y*2,$PALETTE[$data[($y*16)+$x]]);
	imagesetpixel($gd,($x*2)+1,$y*2,$PALETTE[$data[($y*16)+$x]]);
	imagesetpixel($gd,$x*2,($y*2)+1,$PALETTE[$data[($y*16)+$x]]);
	imagesetpixel($gd,($x*2)+1,($y*2)+1,$PALETTE[$data[($y*16)+$x]]);
}

imagejpeg($gd,"",100);

if (isset($_GET["empire"]))
{
		$id = $_GET["empire"];
		$id = str_replace(".","",stripslashes($id));
		
		if ((!file_exists("images/empires/$id.jpg")) || (isset($_GET["OVERWRITE"])))
			imagejpeg($gd,"images/empires/$id.jpg",90);
}


imagedestroy($gd);
	

?>