<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.09.01 : ybo : Major code changes, OOP
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//

// english language dictionnary


define("LANG_ASSAULT_WON","Assault Won");

define("LANG_INVASION_WON","Invasion Won");
define("LANG_INVASION_FAILED","Invasion Lost");

define("LANG_PDF_SUCCESSFULLY_CREATED","PDF Successfully Created!");

define("LANG_HOW_MANY_TICKETS","How many tickets?");
define("LANG_INVASION_CONVOY","Invasion Convoy");
define("LANG_DEFENSE_CONVOY","Support convoy for allied empire");
define("LANG_RETREAT","Retreat");
define("LANG_PRODUCE_MORE_FOOD","You do not produce enough food to maintain your empire in coming years, to prevent food shortages please produce more. <b>(Buying planet and production improvement technologies may help)</b>");
define("LANG_YOUR_FOOD_PRODUCTION_IS_JUST_FINE","Your current food production is just fine to maintain your empire. <b>(You may be interested in producing more and sell it to the food market?)</b>");
define("LANG_YOU_CAN_SELL_FOOD_SURPLUSES_WHILE_THE_DEMAND_IS_HIGH","You are producing more food than needed. <b>(Maybe you can sell food surpluses while the demand is high!)</b>");
define("LANG_DONT_SELL_FOOD_SURPLUSES_WHILE_THE_DEMAND_IS_LOW","You are producing more food than needed. <b>(Do not sell your food right now, the demand is low or normal)</b>");
define("LANG_ITS_NOT_REQUIRED_TO_HAVE_A_ARMY_YET","ITs not required to have a army yet. <b>(But you will need military units to attack pirates while under protection.)</b>");
define("LANG_START_STOCKPILING_UNITS","You will get out of protection really soon, start buying military units to defend your empire.");
define("LANG_YOU_HAVE_A_WEAK_ARMY_PLEASE_INCREASE_ITS_SIZE","You have a weak army, please increase its size!");
define("LANG_YOU_HAVE_A_NORMAL_ARMY","You have a average army, increase its size if you want to invade other empires.");
define("LANG_YOU_HAVE_A_STRONG_ARMY","You have a strong army! Other empires fear us.");
define("LANG_YOU_NEED_TO_TRAIN_MORE_SOLDIERS","You need to train buy/produce soldiers!");
define("LANG_YOU_NEED_TO_TRAIN_MORE_GENERALS","You need to train buy/produce generals! <b>(One general can lead 50 soldiers to the front line)</b>");
define("LANG_YOU_NEED_TO_TRAIN_MORE_FIGHTERS","You need to train buy/produce fighters!");
define("LANG_YOU_NEED_TO_TRAIN_MORE_STATIONS","You need to train buy/produce stations!");
define("LANG_YOU_NEED_TO_TRAIN_MORE_LIGHTCRUISERS","You need to produce more light cruisers!");
define("LANG_YOU_NEED_TO_TRAIN_MORE_HEAVYCRUISERS","You need to buy/produce more heavy cruisers!");
define("LANG_YOU_NEED_TO_TRAIN_MORE_CARRIERS","You need to buy/produce more carriers!");
define("LANG_YOU_NEED_TO_TRAIN_MORE_COVERTAGENTS","You need to buy/produce more covert agents! <b>(Covert agents protect your empire against spies and terrorism operations)</b>");
define("LANG_CANT_TRADE_WITH_PROTECTED_EMPIRE","Can't trade with a protected empire!");

define("LANG_OTHERS","Others");
define("LANG_YOU_DONT_HAVE_NUKES","You don't have any nukes!");
define("LANG_INVALID_LIGHCRUISERS_QTY","Invalid light cruisers quantity!");
define("LANG_LIGHTCRUISERS_BOUGHT","Light cruisers bought, Always a pleasure do to business with you!");
define("LANG_YOU_ARE_ALREADY_UNDER_PROTECTION","Sorry, you are already under protection!");
define("LANG_YOU_NEED_TO_COMPLETE_PREVIOUS_UNIT_LEVEL_BEFORE","You need to complete previous unit level before doing this research!");
define("LANG_THE_COALITION_IS_FULL","Sorry, but the coalition is full!");
define("LANG_YOUR_COVERT_AGENTS_SUCCESSFULLY_CONTACTED_ILLEGAL_BLACK_MARKET","Your covert agents successfully contacted illegal black market!");
define("LANG_INVALID_FOOD_AMOUNT","Invalid amount of food");
define("LANG_INVALID_TICKETS_AMOUNT","Invalid amount of tickets");
define("LANG_TICKETS_BOUGHT","{qty} tickets bought for {credits}");
define("LANG_FORGOTPASSWORD_MAIL_SUBJECT","Solar Imperium Activation / Forget password?");
define("LANG_EMAIL_SENT","Email sent");
define("LANG_FORGOTPASSWORD_MAIL_SENT","A new email containing your new password was sent successfully.");
define("LANG_TOO_MUCH_TRADE_CONVOYS_ACTIVE","Too much trade convoys are active!");
define("LANG_ACTIVATION_MAIL_SUBJECT","Solar Imperium Activation");
define("LANG_TOPIC_DELETED","Topic deleted");
define("LANG_TOPIC_NOT_DELETED_SUBTOPICS_FOUND","Topic not deleted, subtopics found!");
define("LANG_HOURS","Hours");
define("LANG_NO_TRADE_PENDING","No trade pending");
define("LANG_ASSAULT_FAILED","<b style=\"color:#FF9999\">Assault failed, guerilla force crushed!</b>");

define("LANG_TOO_MUCH_PLAYERS_ONLINE","Server fully loaded, too much players connected, come back later!");
define("LANG_GAME_STATUS_ACTIVE","Active");
define("LANG_GAME_STATUS_ENDED","Ended");
define("LANG_RESEARCH_RACE","Research Race");
define("LANG_BULLETIN_RESET","New game started, See HALL OF FAME for more information about last games!");
define("LANG_INVALID_EMAIL_ADDRESS","Invalid email address");
define("LANG_INVALID_EMPIRE_NAME","Invalid empire name");
define("LANG_INVALID_EMPEROR_NAME","Invalid emperor name");
define("LANG_NEW_TOPIC_POSTED","New topic posted");
define("LANG_EMPTY_TOPIC_NAME","Empty topic name!");
define("LANG_EMPTY_TOPIC_CONTENT","Empty topic content!");
define("LANG_ERROR_EMAIL_ALREADY_REGISTERED","Error, email already registered");
define("LANG_ERROR_EMPEROR_NAME_ALREADY_REGISTERED","Error, emperor name already registered");
define("LANG_ERROR_EMPIRE_NAME_ALREADY_REGISTERED","Error, empire name already registered");
define("LANG_INVALID_USERNAME_PASSWORD_COMBINATION","Invalid username/password combination");		//VARNAME CHANGED
define("LANG_NEW_FORUM_TOPIC_POSTED","New forum topic posted");
define("LANG_NEW_FORUM_REPLY_POSTED","New forum reply posted");
define("LANG_COMMENT_POSTED","Comment posted.");
define("LANG_COMMENT_DELETED","Comment deleted.");
define("LANG_YOUR_POPULATION_IS_STARVING","Your population is starving, not enough food available!");
define("LANG_PLAYER_LIMIT_REACHED","Player limit reached");

define("LANG_DEMAND_LOW","Low");
define("LANG_DEMAND_NORMAL","Normal");
define("LANG_DEMAND_HIGH","High");
define("LANG_INVALID_QTY","Invalid quantity!");

define("LANG_NOT_ENOUGH_CARRIERS","Not enough carriers!");
define("LANG_INVASION_CONVOY_SENT","Invasion convoy sent!");

define("LANG_CARRIERS_EXPLODED"," carriers mysteriously exploded!");
define("LANG_YOUR_COVERTAGENTS_WERE_CAUGHT","Your covert agents were caught and publicly executed!");

define("LANG_BOUGHT_FOOD","*** BOUGHT {food} OF FOOD FROM MARKET FOR {credits}");
define("LANG_POPULATION_STARVED_TO_DEATH","*** {percent} %  OF YOUR POPULATION STARVED TO DEATH! ({population})<br/>\r\n");

define("LANG_UNKNOWN_EVENT_TYPE","Unknown event type!");

define("LANG_SOLDIERS_STARVED_TO_DEATH","*** {percent} %  OF YOUR SOLDIERS STARVED TO DEATH! ({soldiers})<br/>\r\n");
define("LANG_LOGO_SAVED","Logo saved!");

define("LANG_DELETE_TOPIC","Delete Topic");
define("LANG_TOPIC_MODIFIED","Topic Modified");
define("LANG_DELETE_COMMENT","Delete Comment");
define("LANG_POPULATION_IS_ANGRY","*** POPULATION IS ANGRY, INSURGENCY LEVEL CHANGED TO '{civil}'");

define("LANG_CANNOT_AFFORD_MAINTENANCE_COSTS","Your empire cannot afford the maintenance costs");
define("LANG_PLANETS_RELEASED","*** {percent} % OF YOUR PLANETS RELEASED");
define("LANG_ARMY_DISBANDED","*** {percent} % OF YOUR ARMY DISBANDED");

define("LANG_SORRY_ONLY_ONE_ATTACK_PER_TURN","Sorry, only one attack per turn!");
define("LANG_INVALID_PIRATE_ID","Invalid pirate id!");
define("LANG_INVALID_SOLDIERS_AMOUNT","Invalid amount of soldiers!");
define("LANG_INVALID_FIGHTERS_AMOUNT","Invalid amount of fighters!");

define("LANG_PIRATE_GANG_FLED","Pirate gang fled before attack");
define("LANG_CLASSIC_GAME_VICTORY","Classic game victory!");

define("LANG_ARMY_EFFECTIVENESS_DROPPED","*** ARMY EFFECTIVENESS DROPPED TO: {percent} %");
define("LANG_THIS_GAME_IS_FOR_PREMIUM_MEMBERS_ONLY","This game is for premium members only!");

define("LANG_FATAL_ERROR_WHILE_LOADING_EMPIRE_OBJECT","Undefined fatal error! (while loading Empire object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_ARMY_OBJECT","Undefined fatal error! (while loading Army object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_COALITION_OBJECT","Undefined fatal error! (while loading Coalition object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_PLANETS_OBJECT","Undefined fatal error! (while loading Planets object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_PRODUCTION_OBJECT","Undefined fatal error! (while loading Production object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_SUPPLY_OBJECT","Undefined fatal error! (while loading Supply object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_DIPLOMACY_OBJECT","Undefined fatal error! (while loading Diplomacy object)");
define("LANG_FATAL_ERROR_WHILE_LOADING_RESEARCH_OBJECT","Undefined fatal error! (while loading Research object)");

define("LANG_COLLAPSED","<b style=\"color:#FF9999\">Collapsed</b>");
define("LANG_EMPEROR","Emperor");
define("LANG_EMPRESS","Empress");
define("LANG_PREFS_SAVED","Preferences successfully saved!");
define("LANG_INVALID_SUPPLY_NUMBERS","Invalid supply numbers");
define("LANG_PASSWORDS_DONT_MATCH","Passwords doesn't match.");
define("LANG_INVALID_TAXRATE_ENTERED","Invalid tax rate entered.");
define("LANG_INVALID_DRAFTRATE_ENTERED","Invalid draft rate entered.");
define("LANG_JPEG_IMAGES_ONLY","JPEG images only!");

define("LANG_ADMINISTRATION_MODE","*** Administration Mode Enabled ***");

define("LANG_NOTHING_TO_SAY","Nothing to say!");
define("LANG_TOPIC_SEARCH","Topic search");

define("LANG_FUNDAMENTAL_RESEARCH","Fundamental Research");
define("LANG_FUNDAMENTAL_RESEARCH_DESCRIPTION","Its required to do some fundamental research to raise your level of intelligence, if you complete all the 8 fundamental research levels, you will win the game by becoming pure energy");
define("LANG_INVALID_RESEARCH_ID","Invalid research id!");
define("LANG_RESEARCH_ALREADY_DONE","Research already done!");
define("LANG_CURRENT_RESEARCH_CHANGED","Current research changed.");
define("LANG_ARE_YOU_SURE","Are you sure?");
define("LANG_GAME_SUCCESSFULLY_RESETTED","Game successfully resetted!");

define("LANG_AI_EMPIRE_BIOGRAPHY","This empire is an AI-controlled one. NO personal feelings, right? ;]");
define("LANG_NEW_AI_EMPIRE_CREATED","New AI empire created!");
define("LANG_EMPIRE_SUCCESSFULLY_DELETED","Empire successfully deleted!");

define("LANG_INVALID_COVERT_OPERATION","Invalid covert operation!");
define("LANG_NO_ENOUGH_COVERT_POINTS","Not enough covert points!");
// localized configuration
$CONF_CIVIL_STATUS = array();
$CONF_CIVIL_STATUS[0] = "Peaceful";
$CONF_CIVIL_STATUS[1] = "Mild Insurgencies";
$CONF_CIVIL_STATUS[2] = "Occasional Riots";
$CONF_CIVIL_STATUS[3] = "Violent Demonstrations";
$CONF_CIVIL_STATUS[4] = "Political Conflicts";
$CONF_CIVIL_STATUS[5] = "Internal Violence";
$CONF_CIVIL_STATUS[6] = "Revolutionary warfare";
$CONF_CIVIL_STATUS[7] = "Under Coup";

$CONF_PLANETS = array("food","ore","tourism","supply","gov","edu","research","urban","petro","antipollu");
$CONF_UNITS = array("generals","covertagents","soldiers","fighters","stations","lightcruisers","heavycruisers","carriers");

$CONF_DIPLOMACY_TREATIES = array();
$CONF_DIPLOMACY_TREATIES[] = "Neutrality Treaty";
$CONF_DIPLOMACY_TREATIES[] = "Minor Alliance";
$CONF_DIPLOMACY_TREATIES[] = "Total Defense";

$CONF_COVERT_OPERATIONS = array();
$CONF_COVERT_OPERATIONS[] = array("name"=>"Send Spy","cost_points"=>5,"cost_credits"=>3100,"ratio"=>1);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Insurgent Aid","cost_points"=>15,"cost_credits"=>10000,"ratio"=>3);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Support Dissension","cost_points"=>30,"cost_credits"=>25000,"ratio"=>2);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Demoralize Troops","cost_points"=>10,"cost_credits"=>30000,"ratio"=>2);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Bombing Operations","cost_points"=>20,"cost_credits"=>30000,"ratio"=>2);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Relations Spying","cost_points"=>5,"cost_credits"=>30000,"ratio"=>1);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Take Hostages","cost_points"=>20,"cost_credits"=>60000,"ratio"=>3);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Carriers Sabotage","cost_points"=>20,"cost_credits"=>60000,"ratio"=>3);
$CONF_COVERT_OPERATIONS[] = array("name"=>"Communications Spying","cost_points"=>10,"cost_credits"=>30000,"ratio"=>2);



define("LANG_BUY","Buy");
define("LANG_SELL","Sell");
define("LANG_EACH","each");
define("LANG_MAX","MAX");
define("LANG_PLANETS","planets");
define("LANG_RELEASE","release");
define("LANG_RELEASED","released");
define("LANG_BOUGHT","bought");
define("LANG_UNITS","units");
define("LANG_SOLD","sold");

define("LANG_COMMANDSHIP_BUILD","Command ship construction started, it will grow 5% per turn<br/>\r\n");
define("LANG_COMMANDSHIP_UPGRADED","Command ship upgraded to {commandship} % for {credits}");
define("LANG_INVALID_PLANETS_QTY","Invalid {name} planets quantity! CURRENT: {qty}, MAX: {max}");
define("LANG_NOT_ENOUGH_PLANETS","Not enough planets available! MAX:");
define("LANG_PLANETS_BOUGHT","planet(s) bought");
define("LANG_INVALID_UNITS_QTY","Invalid unit quantity ({name}) CURRENT: {qty}, MAX: {max}");
define("LANG_INVALID_NUMBER_OF_TURNS","Invalid number of turns!");
define("LANG_INVALID_COALITION_ID","Invalid coalition ID!");
define("LANG_INVALID_CREDITS_AMOUNT","Invalid credits amount!");
define("LANG_TOO_MANY_ACTIVE_LOANS","Too many active loans!");						//VARNAME CHANGED
define("LANG_CREDITS_LOANED_AT_A_RATE","{credits} loaned at a {percent}% rate.");
define("LANG_TOO_MANY_ACTIVE_BONDS","Too many active bonds!");						//VARNAME CHANGED
define("LANG_CREDITS_INVESTED_AT_A_RATE","{credits} invested in a galactic bond at a {percent}% rate for {turns} turns.");
define("LANG_ALREADY_TRADED_FOOD","Already traded food in this turn!");
define("LANG_INVALID_FOOD_QUANTITY","Invalid food quantity!");
define("LANG_FOOD_SOLD","{qty} of food sold to the market. ({credits})");
define("LANG_FOOD_BOUGHT","{qty} of food bought from the market. ({credits})");

define("LANG_MESSAGE_SUCCESSFULLY_SENT","Message succesfully sent!");
define("LANG_YOU_NEED_TO_BE_THE_OWNER","You need to be the owner to do this!");
define("LANG_YOU_NEED_TO_BE_IN_A_COALITION","You need to be in a coalition to do this!");
define("LANG_EMPTY_MESSAGE_SUBJECT","Empty message subject!");
define("LANG_EMPTY_MESSAGE_CONTENT","Empty message content!");
define("LANG_PUBLIC","Public");
define("LANG_COALITION","Coalition");
define("LANG_OWNER","Owner");
define("LANG_MEMBER","Member");
define("LANG_UNKNOWN","Unknown");
define("LANG_ACCEPT_PENDING","Acc. pending");
define("LANG_BREAK_PENDING","Br. pending");
define("LANG_ACTIVE","Active");
define("LANG_NO_EMPIRE_SELECTED","No empire selected!");
define("LANG_THIS_MEMBER_IS_ALREADY_IN_ANOTHER_COALITION","This member is already in another coalition!");
define("LANG_COALITION_INVITATION_SENT","Coalition invitation sent!");
define("LANG_NO_MORE_TURNS_FOR_NOW","No more turns right now!");
define("LANG_YOU_ARE_OUT_OF_PROTECTION","You are out of protection now, good luck");

define("LANG_ATTACKING_WITH","Attacking with ");

define("LANG_CANT_KICK_COALITION_OWNER","Can't kick coalition owner!");
define("LANG_EMPIRE_KICKED_FROM_COALITION","Empire kicked from coalition");
define("LANG_ALREADY_IN_A_COALITION","You are already in a coalition!");
define("LANG_INVALID_COALITION_NAME","Invalid coalition name!");
define("LANG_COALITION_NAME_ALREADY_USED","Coalition name already used!");

define("LANG_NEW_COALITION_CREATED","New coalition created");
define("LANG_COALITION_DISBANDED","Coalition disbanded");
define("LANG_INVALID_EMPIRE_ID","Invalid empire Id");
define("LANG_INVALID_TYPE_OF_TREATY","Invalid type of treaty");
define("LANG_INVALID_TREATY_ID","Invalid Treaty ID");
define("LANG_TREATY_PROPOSITION_SENT","Treaty proposition sent!");
define("LANG_ANOTHER_TREATY_IS_ACTIVE","Another treaty is active/pending with this empire, you can only have one treaty at a time (with selected empire)");
define("LANG_YOU_CANT_BREAK_A_PENDING_PROPOSAL","You can't break a pending proposal!'");

define("LANG_TREATY_SUCCESSFULLY_BREAKED","Treaty succesfully broken!");
define("LANG_TREATY_SUCCESSFULLY_ACCEPTED","Treaty succesfully accepted!");
define("LANG_TREATY_SUCCESSFULLY_REFUSED","Treaty succesfully refused!");

define("LANG_DONE","Done");


define("LANG_SOLDIERS_DESERTED"," soldiers deserted to '{pirate_name}' pirate gang");
define("LANG_FIGHTERS_STOLEN"," fighters stolen by '{pirate_name}' pirate gang");
define("LANG_DEFENSE_STATIONS_STOLEN"," defense stations stolen by '{pirate_name}' pirate gang");
define("LANG_LIGHT_CRUISERS_STOLEN"," light cruisers stolen by '{pirate_name}' pirate gang");
define("LANG_HEAVY_CRUISERS_STOLEN"," heavy cruisers stolen by '{pirate_name}' pirate gang");
define("LANG_CARRIERS_STOLEN"," carriers stolen by '{pirate_name}' pirate gang");
define("LANG_STOLEN_BY_PIRATE_GANG"," stolen by '{pirate_name}' pirate gang");
define("LANG_COVERT_AGENTS_DESERTED"," covert agents deserted to '{pirate_name}' pirate gang");
define("LANG_GENERALS_DESERTED"," generals deserted to '{pirate_name}' pirate gang");
define("LANG_FOOD_PLANETS_STOLEN"," food planets stolen by '{pirate_name}' pirate gang");
define("LANG_ORE_PLANETS_STOLEN"," ore planets stolen by '{pirate_name}' pirate gang");
define("LANG_TOURISM_PLANETS_STOLEN"," tourism planets stolen by '{pirate_name}' pirate gang");
define("LANG_PETROLEUM_PLANETS_STOLEN"," petroleum planets stolen by '{pirate_name}' pirate gang");
define("LANG_SUPPLY_PLANETS_STOLEN"," supply planets stolen by '{pirate_name}' pirate gang");
define("LANG_RESEARCH_PLANETS_STOLEN"," research planets stolen by '{pirate_name}' pirate gang");

define("LANG_EMPIRE_UNDER_PROTECTION","Empire under protection!");

define("LANG_IMPOSSIBLE","Impossible");
define("LANG_NEARLY_IMPOSSIBLE","Nearly Impossible");
define("LANG_UNLIKELY","Unlikely");
define("LANG_FAIR","Fair");
define("LANG_SAFE","Safe");
define("LANG_MOSTLY_SAFE","Mostly Safe");
define("LANG_SUCCESS_RATE","Success rate");

$CONF_RANDOM_EVENTS = array();
$CONF_RANDOM_EVENTS[] = array("name"=>"Major strike at the main food processing company, food production reduced.","value"=>"production->food_short=-20");
$CONF_RANDOM_EVENTS[] = array("name"=>"Jovian flu kill dozens","value"=>"empire->population=-3%");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new plutonium-based toothpaste prove to be highly toxic, population lost.","value"=>"empire->population=-2%");
$CONF_RANDOM_EVENTS[] = array("name"=>"Unprotected sex was the major new trend this year, population lost.","value"=>"empire->population=-1%");
$CONF_RANDOM_EVENTS[] = array("name"=>"Bungie without a rope was the major new trend this year, population lost.","value"=>"empire->population=-1%");
$CONF_RANDOM_EVENTS[] = array("name"=>"A nasty bug was found in the teleportation system software, population lost","value"=>"empire->population=-1%");
$CONF_RANDOM_EVENTS[] = array("name"=>"A Bluurgozats Monster eat your food","value"=>"empire->food=-30%");
$CONF_RANDOM_EVENTS[] = array("name"=>"Your university has hired Dr.Brains","value"=>"production->edu_short=+50");
$CONF_RANDOM_EVENTS[] = array("name"=>"Your university has hired Dr.Disector","value"=>"production->edu_short=+25");
$CONF_RANDOM_EVENTS[] = array("name"=>"Your university has hired Dr.Doom","value"=>"production->edu_short=-25");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new fort increases your supply production","value"=>"production->supply_short=+50");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new fort increases your supply production","value"=>"production->supply_short=+25");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new military factory increases your supply production","value"=>"production->supply_short=+25");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new tourist attraction increases the popularity of your tourism planets","value"=>"production->tourism_short=+50");
$CONF_RANDOM_EVENTS[] = array("name"=>"New training facilities increases supply production","value"=>"production->supply_short=+25");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new mine increases ore production","value"=>"production->ore_short=+25");
$CONF_RANDOM_EVENTS[] = array("name"=>"A new mine increases ore production","value"=>"production->ore_short=+50");

define("LANG_YOUR_ARMY_DISBANDED"," % of your army disbanded and deserted because of the civil unrest");
define("LANG_INTERNAL_CONFLICTS_ERUPT","Internal conflicts erupt among your covert agents");
define("LANG_COVERT_AGENTS_FOUND_DEAD"," covert agents found dead in the baths");
define("LANG_INSURGENCY_RECOVERING","Insurgency recovering...");
define("LANG_NO_TURN_FOUND","No turn found!");

define("LANG_NO_COVERT_OPERATIONS_UNTIL_OUT_OF_PROTECTION","No covert operations until out of protection!");
define("LANG_NEED_COVERTAGENTS_TO_CONDUCT_OPERATIONS","You need covert agents to conduct operations");

define("LANG_FOOD_PLANETS","Food Planets");
define("LANG_ORE_PLANETS","Ore Planets");
define("LANG_TOURISM_PLANETS","Tourism Planets");
define("LANG_SUPPLY_PLANETS","Supply Planets");
define("LANG_GOV_PLANETS","Government Planets");
define("LANG_EDU_PLANETS","Education Planets");
define("LANG_URBAN_PLANETS","Urban Planets");
define("LANG_RESEARCH_PLANETS","Research Planets");
define("LANG_PETROLEUM_PLANETS","Petroleum Planets");
define("LANG_ANTIPOLLU_PLANETS","Anti-pollution Planets");

define("LANG_RECLAIMED","Reclaimed");
define("LANG_CREDITS","Credits");
define("LANG_FOOD","Food");
define("LANG_GENERALS","Generals");
define("LANG_COVERTAGENTS","Covert agents");
define("LANG_SOLDIERS","Soldiers");
define("LANG_FIGHTERS","Fighters");
define("LANG_LIGHTCRUISERS","Light cruisers");
define("LANG_HEAVYCRUISERS","Heavy cruisers");
define("LANG_TURNS_LEFT","Turns left");
define("LANG_CARRIERS_USED","Carriers used");
define("LANG_TRADE","Trade");
define("LANG_CARRIERS","Carriers");
define("LANG_DESTINATION","Destination");
define("LANG_SENDER","Sender");
define("LANG_STATIONS","Stations");
define("LANG_RIOTS_BREAKOUT","Riots break out in your opponent's empire due to your ambush.");
define("LANG_BATTLE_LOST","Battle LOST");
define("LANG_BATTLE_WON","Battle WON");
define("YOU_HAVE_WEAKENED_THE_ENEMY_BUT_YOU_HAVE_REVEALED_YOUR_IDENTITY","You have weakened the enemy, but you have revealed your identity");
define("LANG_AMBUSHED","ambused");
define("LANG_AND_LOST_THE_BATTLE"," and LOST the battle");
define("YOU_HAVE_WEAKENED_THE_ENEMY_WITHOUT_REVEALING_YOUR_IDENTITY","You have weakened the enemy without revealing your identity");

define("LANG_YOUR_CASUALTIES","Your casualties");
define("LANG_ENEMY_CASUALTIES","Enemy casualties");
define("LANG_PIRATE_PREVAILED","Pirate gang prevailed in this attack, Your troops morale drop, new military effectiveness");
define("LANG_PIRATE_CASUALTIES","Pirate casulaties");
define("LANG_PIRATE_GANG_LOST","Congratulation, the pirate gang lost the battle, troops morale go up.");
define("LANG_INVALID_GENERALS_QUANTITY","Invalid generals quantity!");
define("LANG_INVALID_COVERTAGENTS_QUANTITY","Invalid covert agents quantity!");
define("LANG_INVALID_SOLDIERS_QUANTITY","Invalid soldiers quantity!");
define("LANG_INVALID_FIGHTERS_QUANTITY","Invalid fighters quantity!");
define("LANG_INVALID_LIGHTCRUISERS_QUANTITY","Invalid light cruisers quantity!");
define("LANG_INVALID_HEAVYCRUISERS_QUANTITY","Invalid heavy cruisers quantity!");
define("LANG_NO_ATTACK_UNTIL_OUT_OF_PROTECTION","Sorry, no attacking until out of protection");
define("LANG_TRADE_CONVOY_SENT","Trade convoy successfully sent.");

define("LANG_YOU_CANT_TRADE_THIS_QUANTITY","You can't trade this quantity!");
define("LAND_CANT_TRADE_WITH_ENEMY_EMPIRE","Can't trade with enemy empire!");
define("LANG_EMPTY_TRADE_DEAL","Empty trade deal!");
define("LANG_NO_ENOUGH_CREDITS","No enough credits!");
define("LANG_COALITION_INVITATION_REFUSED","Coalition invitation refused");
define("LANG_COALITION_INVITATION_ACCEPTED","Coalition invitation accepted");
define("LANG_YOU_CANT_ATTACK_COALITION_MEMBER","You can't attack a coalition member!'");
define("LANG_CANT_ATTACK_EMPIRE_WITH_DIPLOMATIC_TIES","You can't attack a empire with diplomatic ties!");
define("LANG_EXTRAPROTECTION_BOUGHT","Extra protection turns bought! Hope it will save your empire from imminent threat!");
define("LANG_TELEPORTATION_SUCCESSFULLY_DONE","You are a monster for killing all those civilians but the teleportation worked!");
define("LANG_YOU_ALREADY_HAVE_NUKES","You Already have nukes in store!");
define("LANG_NUKES_BOUGHT","Nukes bought, please be careful with this!");
 

///////////////////////////////////////////////////////////////////////////
// news related
///////////////////////////////////////////////////////////////////////////

$NEWS_DATA["new_empire"] = array(
array("title"=>"New empire born from stardust","text"=>"Do you think {gender} {emperor} and his empire {empire} will prevail in this world? Stay tune.","image"=>""),
array("title"=>"Say welcome to a stranger","text"=>"{gender} {emperor} just moved to this galaxy with his new empire","image"=>""),
array("title"=>"Empires count on the rise","text"=>"Empire creation is on a new record high, {gender} {emperor} freshly join the power game","image"=>"")
);

$NEWS_DATA["collapsed_empire"] = array(
array("title"=>"Empire back to stardust","text"=>"Do you think {gender} {emperor} and his empire {empire} had any prevail in this world? Seriously?","image"=>""),
array("title"=>"Say Goodbye to a empire","text"=>"{gender} {emperor} was abruptely removed from human history","image"=>""),
array("title"=>"Empires count falling","text"=>"Another empire joined the cimetery, {gender} {emperor} is no more!","image"=>"")
);


$NEWS_DATA["random_news"] = array(
array("title"=>"Growing Knowledge ...","text"=>"The galaxyPedia has been updated to include all of the new optional researchs. The Galactic Scribe and Galactic Wench have been busy","image"=>""),
array("title"=>"Scientific BreakThrough!","text"=>"Sicentists on %random_planet% create new substance, first application is shaving cream - the substance a derivitive of caffine is said to have a panacea of uses, its bullet proof, kid proof, can with stand 4000000000K of heat, and is slicker than teflon, 'thats why is being used in our shaving cream line, the benefit is huge' says maker of Shavin' Sand' the only sand based shaving cream.","image"=>""),
array("title"=>"New Galactic coordinator elected!","text"=>"We are proud to announce the election result: %random_firstname% %random_lastname%  the %random_title% of planet %random_planet% will be the new galactic coordinator chief for 4 years !","image"=>""),
array("title"=>"A spatiotrain exploded in populated area","text"=>"This sad accident killed millions of civilians, the spatiotrain was transporting highly explosive cargo. A new law will be passed to prevent dangerous convoys in cities.","image"=>""),
array("title"=>"Interesting survey result!","text"=>"4/5 of all surveyed persons report that Solarquest is a very addictive game!","image"=>"")

);

?>
