<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.09.01 : ybo : Major code changes, OOP
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//

require_once("include/init.php");
require_once("include/init_ingame.php");





$GAME["template"]->setPage("lastturn.html");

$content = "";

$last_turn_id = $DB->Execute("SELECT * FROM tb_event WHERE event_to=".$GAME["empire"]->data["id"]." AND event_type=".CONF_EVENT_NEWTURN." ORDER BY id DESC LIMIT 1");
if ($last_turn_id->EOF) {

	if ($GAME["empire"]->data["active"]==2) {
		$GAME["session"]->logout();
		$GAME["system"]->redirect("index.php");
}
		else
	$GAME["system"]->redirect("manage.php",array("WARNING"=>LANG_NO_TURN_FOUND));
	
}
$last_turn_id = $last_turn_id->fields[0];

$last_turn_id2 = $DB->Execute("SELECT * FROM tb_event WHERE event_to=".$GAME["empire"]->data["id"]." AND event_type=".CONF_EVENT_TURNCOMPLETED." ORDER BY id DESC LIMIT 1");
if ($last_turn_id2->EOF) {

	if ($GAME["empire"]->data["active"]==2)
		die(LANG_NO_TURN_FOUND); else
	$GAME["system"]->redirect("manage.php",array("WARNING"=>LANG_NO_TURN_FOUND));
	
}

$last_turn_id2 = $last_turn_id2->fields[0];

$event_data = $DB->Execute("SELECT * FROM tb_event WHERE event_to=".$GAME["empire"]->data["id"]." AND id >= $last_turn_id AND id <= $last_turn_id2 ORDER BY id ASC");
while(!$event_data->EOF)
{
	
	$content .= $GAME["template"]->getNotice($events->renderEvent($event_data->fields,$GAME["empire"]->data));
	$event_data->MoveNext();
}


$content = $GAME["template"]->setVar("content",$content);
print $GAME["template"]->Render();

?>
