<?php
//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.09.01 : ybo : Major code changes, OOP
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//

require_once ("include/init.php");
require_once ("include/init_ingame.php");

if (!$GAME["empire"]->coalition->isMember()) die(LANG_YOU_NEED_TO_BE_IN_A_COALITION);

if (isset($_POST["chatbox"])) {
	
	$message = $_POST["chatbox"];
	$message = $GAME["system"]->filterText($message);
	
	if ($message != "") {
		
		$query = "INSERT INTO tb_shoutbox (coalition,date,empire_name,empire_id,message) VALUES(".$GAME["empire"]->coalition->data["id"].",".time(NULL).",'".$GAME["empire"]->data["emperor"]."@".$GAME["empire"]->data["name"]."',".$GAME["empire"]->data["id"].",'".addslashes($message)."')";
		$DB->Execute($query);	
		
	}
	
	$GAME["system"]->redirect("shoutbox.php");
}



$rs = $DB->Execute("SELECT * FROM tb_shoutbox WHERE coalition=".$GAME["empire"]->coalition->data["id"]." ORDER BY date DESC LIMIT 0,15");

$items = array();
$i=0;
while (!$rs->EOF)
{
	
	
	$items[] = array("color"=>($i++%2==0?"white":"#AAAAAA"),"timedate"=>$GAME["template"]->formatTime(time(NULL)-$rs->fields["date"]),"empire_id"=>$rs->fields["empire_id"],"player"=>$rs->fields["empire_name"],"message"=>$rs->fields["message"]);
	$rs->MoveNext();
}


if (count($items) < 15) {

	
	$temp = array();
	for ($i=0;$i<count($items);$i++) $temp[] = $items[$i];
	for ($i=0;$i<(15-count($items));$i++) {
		$temp[] = array("color"=>($i%2==0?"white":"#AAAAAA"),"timedate"=>"---","empire_id"=>"new","player"=>"---","message"=>"---");
	}
		
	
	$items = $temp;
}
krsort($items);

$GAME["template"]->setLoop("items",$items);
$GAME["template"]->setPage("shoutbox.html");
print $GAME["template"]->render();


?>