<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//
require_once("include/init.php");

$GAME["template"]->setPage("show_active.html");

$current_players = "";

$rs = $DB->Execute("SELECT * FROM tb_session");
while(!$rs->EOF)
{
	
	$rs2 = $DB->Execute("SELECT id,emperor,name,gender,last_hostname FROM tb_empire WHERE id=".$rs->fields["empire"]);
	$rs3 = $DB->Execute("SELECT emperor,name,gender FROM tb_empire WHERE last_hostname='".$rs2->fields["last_hostname"]."' AND NOT id = ".$rs2->fields["id"]);
	if ($rs2->EOF) {
		$rs->MoveNext();
		continue;
	}
	
	$hostname = $rs2->fields["last_hostname"];

	if ($hostname == "") {	
		$current_players .= $GAME["template"]->displayEmpireHTML($rs2->fields["id"],$rs2->fields["emperor"],$GAME["empire"]->data["name"],$GAME["empire"]->data["networth"])."<br/>\r\n";
	} else {
		$hostname = explode(".",$hostname);
		if (count($hostname)  == 4) {
			$hostname = $hostname[0].".".$hostname[1].".".$hostname[2].".*";
		} else $hostname = "---";
		
		if ($rs3->EOF)
			$current_players .= "<table><tr><td>".$GAME["template"]->displayEmpireHTML($rs2->fields["id"],$rs2->fields["emperor"],$rs2->fields["name"],$GAME["empire"]->data["networth"])."</td><td>($hostname)</td></tr></table><br/>\r\n";
		else
			$current_players .= "<table><tr><td>".$GAME["template"]->displayEmpireHTML($rs2->fields["id"],$rs2->fields["emperor"],$rs2->fields["name"],$GAME["empire"]->data["networth"])."</td><td>($hostname)&nbsp;[DUP: ".$rs3->fields["emperor"]."@".$rs3->fields["name"]."]</td></tr></table><br/>\r\n";
		
	
	}
	
	$rs->MoveNext();
}

if ($current_players == "") $current_players = "NOBODY";
$GAME["template"]->setVar("current_players",$current_players);

print $GAME["template"]->render();

?>
