<?php

//---------------------------------------------------------------------------//
// author: Yanick Bourbeau <ybourbeau@mrgtech.ca> 
// date:   2006.01.01
// web:    http://www.mrgtech.ca
// info:   Solar Imperium
//---------------------------------------------------------------------------//
// copyleft license
//
// this software is provided 'as-is', without any express or implied
// warranty. in no event will the authors be held liable for any damages
// arising from the use of this software.
//
// permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions: 
//
// 1. the origin of this software must not be misrepresented;
//	  you must not claim that you wrote the original software. 
//	  if you use this software in a product, an acknowledgment 
//	  in the product documentation would be appreciated but is not required.
//
// 2. altered source versions must be plainly marked as such, 
//	  and must not be misrepresented as being the original software.
//
// 3. mail about the fact of using this class in production 
//	  would be very appreciated.
//
// 4. this notice may not be removed or altered from any source distribution.
//
//---------------------------------------------------------------------------//
// CHANGELOG:
//
// 2006.06.01 : ybo : Changed name: Imperium Galactica is (c), moved to Solar Imperium
// 2006.08.01 : ybo : Added list of members
// 2007.02.04 : ybo : Reviewed the code for public release
//
//---------------------------------------------------------------------------//
require_once ("include/init.php");
require_once ("include/init_ingame.php");


$id = $_GET["id"];

$rs = $DB->Execute("SELECT * FROM tb_coalition WHERE id=".addslashes($id));
if ($rs->EOF) die(IG_ShowWarning("INVALID COALITION ID"));

$GAME["template"]->setPage("show_coalition.html");

$GAME["template"]->setVar("info_coalition_name",stripslashes($rs->fields["name"]));
$GAME["template"]->setVar("info_coalition_id",$rs->fields["id"]);
$GAME["template"]->setVar("info_coalition_logo",$rs->fields["logo"]);


$GAME["template"]->setVar("info_coalition_date",date("h:i:s m/d/Y",$rs->fields["date"]));
$GAME["template"]->setVar("info_coalition_networth",$GAME["template"]->formatNumber($rs->fields["networth"]));

$GAME["template"]->setVar("info_coalition_planets",$GAME["template"]->formatNumber($rs->fields["planets"]));

$rs2 = $DB->Execute("SELECT * FROM tb_member WHERE coalition=".$rs->fields["id"]);
$playerscount = 0;
$rank = 0;
$members = array();

while(!$rs2->EOF)
{
	if ($rs2->fields["empire"] == $rs->fields["id"]) $rank = $playerscount+1;
	$playerscount++;
	
	$rs3 = $DB->Execute("SELECT emperor,name FROM tb_empire WHERE id=".$rs2->fields["empire"]);
	$members[] = array("name"=>$rs3->fields["emperor"]."@".$rs3->fields["name"]);
	$rs2->MoveNext();
}

$GAME["template"]->setLoop("members",$members);
	
$GAME["template"]->setVar("info_coalition_members",$playerscount);

print $GAME["template"]->render();


?>
